KNOPWATCHD(8)

NAME
knopwatchd - "FwKnop Watch Daemon" checks to make sure knopmd, knoptm and fwknop daemons are running.

SYNOPSIS
knopwatchd [options]

DESCRIPTION
knopwatchd checks on an interval of every five seconds to make sure that knopmd, knoptm and fwknopd are running on the box. If any of the three daemons have died, knopwatchd will restart the daemon and notify each email address listed in the EMAIL_ADDRESSES variable that the daemon has been restarted. knopwatchd uses the fwknop.conf configuration file which by default is located at /etc/fwknop/, but a different path can be specified on the command line.

OPTIONS

-c <config-file>
    Specify path to config file instead of using the default configuration file /etc/fwknop/fwknop.conf.

-D  Dump the configuration values that knopwatchd derives from /etc/fwknop/fwknop.conf (or other override files) on STDERR.

-h  Display usage information and exit.

-O <config-file>
    Override config variable values that are normally read from the /etc/fwknop/fwknop.conf file with values from the specified file. Multiple override config files can be given as a comma separated list.

SEE ALSO
fwknop(8), fwknopd(8), knopmd(8),

AUTHOR
Michael Rash (mbr@cipherdyne.org)

DISTRIBUTION
fwknop is distributed under the GNU General Public License (GPL), and the latest version may be downloaded from http://www.cipherdyne.org